Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Signal.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Signal.i"`

Include dependency graph for Signal.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Sig_Action
| C++ wrapper facade for the <sigaction> struct. More...
class | ACE_Sig_Adapter
| Provide an adapter that transforms various types of signal handlers into the scheme used by the <ACE_Reactor>. More...
class | ACE_Sig_Guard
| Hold signals in MASK for duration of a C++ statement block. Note that a "0" for mask causes all signals to be held. More...
class | ACE_Sig_Handler
| This is the main dispatcher of signals for ACE. It improves the existing UNIX signal handling mechanism by allowing C++ objects to handle signals in a way that avoids the use of global/static variables and functions. More...
class | ACE_Sig_Handlers
| This is an alternative signal handling dispatcher for ACE. It allows a list of signal handlers to be registered for each signal. It also makes SA_RESTART the default mode. More...
class | ACE_Sig_Set
| Provide a C++ wrapper for the C sigset_t interface. More...
## Typedefs
typedef void(* | ACE_Sig_Handler_Ex )(int, siginfo_t *siginfo, ucontext_t *ucontext)
typedef sigaction | ACE_SIGACTION

## Detailed Description

Id:
  Signal.h,v 4.44 2003/11/01 11:15:17 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef void(* ACE_Sig_Handler_Ex)(int, siginfo_t *siginfo, ucontext_t *ucontext)

typedef struct sigaction ACE_SIGACTION